#include "BootLoader/boot_loader.hpp"
#include <PSX/System/IOPorts/DMA_IO.hpp>
#include <stdio.h>

namespace JabyEngine {
    static void enable_DMA() {
        DMA::DPCR.write(DMA::DPCR.read() | DMA::DMAControlRegister::SPUEnable | DMA::DMAControlRegister::GPUEnable);
    }

    void start() {
        printf("Hello Planschbecken\n");
        enable_DMA();

        SPU::stop_voices();
        GPU::display_logo();
        //Pause??

        //Do not setup GPU for now
        //GPU::setup();
        SPU::setup();
        printf("Setup done!\n");
    }
}