use std::{fs::File, io::Write};
use super::{{super::super::Error}, *};

pub fn write(mut file: File, data: Vec<Specifier>) -> Result<(), Error> {
    fn write_indent(file: &mut File, specifier: &Specifier) -> Result<(), Error> {
        let indent = {
            match specifier {
                Specifier::File{..}  => 0,
                Specifier::Track{..} => 2,
                _                    => 4,
            }
        };

        write!(file, "{:indent$}", " ")?;
        Ok(())
    }

    for specifier in data {
        write_indent(&mut file, &specifier)?;
        
        write!(file, "{}\n", specifier)?;
    }

    Ok(())
}